List
curl --request GET \
--url https://{defaultHost}/v1/swaps \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/swaps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/swaps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/swaps"
},
"data": [
{
"id": "4172b53d-4f67-424a-9f86-adb7234a48b0",
"object": "swap",
"archived": false,
"archived_at": null,
"description": "Swap this price for another",
"metadata": {},
"price": "c9bbf3f5-feed-4433-ad46-d8847975e10a",
"swap_price": "24c09c63-977d-4993-b765-d3d46f26312c",
"discarded_at": null,
"created_at": 1782485911,
"updated_at": 1782485911
}
]
}Swaps
List
Returns a list of your swaps.
GET
/
v1
/
swaps
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that are archived or not archived.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
Only return objects that belong to the given prices.
Was this page helpful?
⌘I